> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /osm/places/search

> Search OpenStreetMap POIs (nodes/ways/relations) by tag within a bounding box or radius (Overpass)

**Price:** 1 credit



## OpenAPI

````yaml /openapi/local-places.json post /api/osm/places/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/osm/places/search:
    post:
      tags:
        - /osm
      summary: /osm/places/search
      description: >-
        Search OpenStreetMap POIs (nodes/ways/relations) by tag within a
        bounding box or radius (Overpass)


        **Price:** 1 credit
      operationId: __api_osm_places_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OsmPlacesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OsmPoi'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OsmPlacesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 180
          minimum: 20
          default: 60
        tag_key:
          type: string
          minLength: 1
        tag_value:
          anyOf:
            - type: string
            - type: 'null'
        bbox:
          anyOf:
            - type: string
            - type: 'null'
        lat:
          anyOf:
            - type: number
              maximum: 90
              minimum: -90
            - type: 'null'
        lon:
          anyOf:
            - type: number
              maximum: 180
              minimum: -180
            - type: 'null'
        radius_m:
          anyOf:
            - type: integer
              maximum: 50000
              minimum: 1
            - type: 'null'
        element_types:
          items:
            $ref: '#/components/schemas/OsmElementType'
          type: array
          default:
            - node
            - way
            - relation
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - tag_key
        - count
    OsmPoi:
      properties:
        '@type':
          type: string
          default: OsmPoi
        element_type:
          type: string
        id:
          type: integer
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        tags:
          additionalProperties: true
          type: object
          default: {}
        source_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - element_type
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OsmElementType:
      type: string
      enum:
        - node
        - way
        - relation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````